Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358270 - cpu utilization charts on Host list dashboard doesn't match reported values [NEEDINFO]
Summary: cpu utilization charts on Host list dashboard doesn't match reported values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 2
Assignee: kamlesh
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: Console-2-Async
TreeView+ depends on / blocked
 
Reported: 2016-07-20 12:05 UTC by Martin Bukatovic
Modified: 2016-10-19 15:20 UTC (History)
9 users (show)

Fixed In Version: rhscon-ui-0.0.55-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Previously, in the Host List dashboard page, incorrect chart data was displayed in utilization charts. With this update, the chart displays correct data.
Clone Of:
Environment:
Last Closed: 2016-10-19 15:20:34 UTC
asriram: needinfo? (kaverma)


Attachments (Terms of Use)
screenshot 1: host list dashboard page (deleted)
2016-07-20 12:05 UTC, Martin Bukatovic
no flags Details
screenshot 2: Storage utilization charts reporting 90% (deleted)
2016-07-20 12:55 UTC, Martin Bukatovic
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2082 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2 security and bug fix update 2017-04-18 19:29:02 UTC

Description Martin Bukatovic 2016-07-20 12:05:57 UTC
Created attachment 1182089 [details]
screenshot 1: host list dashboard page

Description of problem
======================

Values plotted in donut utilization charts (memory, cpu utilization) on Host
list page doesn't match the actual value (which is shown in a numeric form as
well inside the chart itself).

Version-Release
=============== 

On RHSC 2.0 server machine:

rhscon-ui-0.0.48-1.el7scon.noarch
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
ceph-installer-1.0.14-1.el7scon.noarch
ceph-ansible-1.0.5-28.el7scon.noarch

On Ceph OSD machines:

rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-agent-0.0.15-1.el7scon.noarch
ceph-selinux-10.2.2-22.el7cp.x86_64
ceph-common-10.2.2-22.el7cp.x86_64
ceph-base-10.2.2-22.el7cp.x86_64
ceph-osd-10.2.2-22.el7cp.x86_64

How reproducible
================

100 %

Steps to Reproduce
==================

1. Install RHSC 2.0 following the documentation.
2. Accept few nodes for the ceph cluster.
3. Create new ceph cluster named 'alpha'.
4. On all ceph machines (of either OSD or MON roles), install stress tool.
5. Run `stress --cpu N` (where N is the number of cpu of particular machine),
   on all ceph machines.
6. Wait about 15 minutes for collecd and RHSC 2.0 to process and report new
   utilization state.
7. Go to Host list page and check donut charts for cpu utilization.

Actual results
==============

While the charts report actual utilization value (100 %), the value plotted
(graphical representation) in the donut charts itself doesn't match it, see
attached screenshot, where it looks like the value represented in donut
chart is about 50% instead of expected 100%.

Expected results
================

The both plotted value (graphical representation of value), and numeric value
should match and should read as 100%.

Comment 1 Martin Bukatovic 2016-07-20 12:28:49 UTC
Additional info
===============

Bear in mind that this is related to both CPU and Memory charts, as can be seen
in Memory chart of the first machine, where the number reads 21.2% while the
graphical representation looks like 14% instead.

Comment 2 Martin Bukatovic 2016-07-20 12:55:46 UTC
Created attachment 1182110 [details]
screenshot 2: Storage utilization charts reporting 90%

On the other hand, Storage utilization chart seems to be working, see attached
screenshot 2.

Comment 3 Ju Lim 2016-07-20 14:09:30 UTC
The donut charts do not appear to follow the PatternFly guidelines.  See https://www.patternfly.org/pattern-library/data-visualization/donut-chart/#/_overview (there's also the code for it at https://www.patternfly.org/pattern-library/data-visualization/donut-chart/#/_code).

Note: Utilization shown on donut should start at the 12 o'clock position and moves clockwise.

Comment 7 Filip Balák 2016-09-21 15:21:31 UTC
Tested with
Server:
ceph-ansible-1.0.5-32.el7scon.noarch
ceph-installer-1.0.15-2.el7scon.noarch
graphite-web-0.9.12-8.1.el7.noarch
rhscon-ceph-0.0.41-1.el7scon.x86_64
rhscon-core-selinux-0.0.42-1.el7scon.noarch
rhscon-core-0.0.42-1.el7scon.x86_64
rhscon-ui-0.0.55-1.el7scon.noarch

Node:
calamari-server-1.4.8-1.el7cp.x86_64
ceph-base-10.2.2-41.el7cp.x86_64
ceph-common-10.2.2-41.el7cp.x86_64
ceph-mon-10.2.2-41.el7cp.x86_64
ceph-osd-10.2.2-41.el7cp.x86_64
ceph-selinux-10.2.2-41.el7cp.x86_64
libcephfs1-10.2.2-41.el7cp.x86_64
python-cephfs-10.2.2-41.el7cp.x86_64
rhscon-agent-0.0.19-1.el7scon.noarch
rhscon-core-selinux-0.0.42-1.el7scon.noarch

and it works as it is expected. --> Verified

Comment 9 errata-xmlrpc 2016-10-19 15:20:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2082


Note You need to log in before you can comment on or make changes to this bug.